[ Новые сообщения · Участники · Правила форума · Поиск · RSS ]
Страница 1 из 11
Форум Panda3D - по русски » Panda3D » Для начинающих » Panda3D + Linux Mint 13 (Запуск приложений panda3d)
Panda3D + Linux Mint 13
RawieoДата: Среда, 16.01.2013, 23:08 | Сообщение # 1
Сержант
Группа: Пользователи
Сообщений: 24
Награды: 0
Репутация: 0
Статус: Offline
Вобщем запускаю я на смоем минте пандой один пример.
В терминале такая фигня:
Код
rawieo@rawieo-Aspire-5250 ~ $ cd dev/python/panda3d-examples/simple-fps/
rawieo@rawieo-Aspire-5250 ~/dev/python/panda3d-examples/simple-fps $ panda3d Tut-Simple-FPS.py  
:express: /home/rawieo/dev/python/panda3d-examples/simple-fps/Tut-Simple-FPS.py is not a Multifile.
А в окне с приложением логотип панды и желтый треугольник с восклицательным знаком. Как мне правильно запускать что-либо? А может проблема с приложением?

Добавлено (16.01.2013, 23:08)
---------------------------------------------
Короче догадался я в чем суть - "panda3d" открывает скомпилированное *.p3d приложение. но когда я вызываю за счет python запускать оно всеравно не хочет, а в терминале пишет это:

Код
rawieo@rawieo-Aspire-5250 ~ $ cd dev/python/panda3d-examples/megarpg/
rawieo@rawieo-Aspire-5250 ~/dev/python/panda3d-examples/megarpg $ python main.py
DirectStart: Starting the game.
Traceback (most recent call last):
   File "main.py", line 2, in <module>
     import direct.directbase.DirectStart
   File "/usr/share/panda3d/direct/directbase/DirectStart.py", line 3, in <module>
     from direct.showbase import ShowBase
   File "/usr/share/panda3d/direct/showbase/ShowBase.py", line 10, in <module>
     from pandac.PandaModules import *
   File "/usr/share/panda3d/pandac/PandaModules.py", line 2, in <module>
     from libpandaexpressModules import *
   File "/usr/share/panda3d/pandac/libpandaexpressModules.py", line 1, in <module>
     from extension_native_helpers import *
   File "/usr/share/panda3d/pandac/extension_native_helpers.py", line 81, in <module>
     Dtool_PreloadDLL("libpandaexpress")
   File "/usr/share/panda3d/pandac/extension_native_helpers.py", line 79, in Dtool_PreloadDLL
     imp.load_dynamic(module, pathname)
ImportError: libp3dtool.so.1.8: cannot open shared object file: No such file or directory
Что это значит, и что мне делать?
 
ninthДата: Четверг, 17.01.2013, 08:20 | Сообщение # 2
Admin
Группа: Администраторы
Сообщений: 1555
Награды: 5
Репутация: 46
Статус: Offline
попробуй запустить через ppython именно с двумя p
 
RawieoДата: Четверг, 17.01.2013, 10:52 | Сообщение # 3
Сержант
Группа: Пользователи
Сообщений: 24
Награды: 0
Репутация: 0
Статус: Offline
Код
dpkg: зависимости пакетов не позволяют настроить пакет panda3d1.8:
  panda3d1.8 зависит от libhighgui2.1, однако:
   Пакет libhighgui2.1 не установлен.
  panda3d1.8 зависит от libjpeg62 (>= 6b1), однако:
   Пакет libjpeg62 не установлен.
  panda3d1.8 зависит от libosmesa6 (>= 6.5.2-1), однако:
   Пакет libosmesa6 не установлен.
  panda3d1.8 зависит от python-pmw, однако:
   Пакет python-pmw не установлен.
Мне нужны репозитории для всех выше упомянутых пакетов.
 
k0tДата: Четверг, 17.01.2013, 11:35 | Сообщение # 4
Подполковник
Группа: Пользователи
Сообщений: 104
Награды: 0
Репутация: 4
Статус: Offline
в стандартных все должно быть
стандартные пакеты же. первый - libhighgui-dev  попробуй, к примеру, отчитайся по результату
 
RawieoДата: Четверг, 17.01.2013, 18:36 | Сообщение # 5
Сержант
Группа: Пользователи
Сообщений: 24
Награды: 0
Репутация: 0
Статус: Offline
Код
dpkg: зависимости пакетов не позволяют настроить пакет panda3d1.8:
  panda3d1.8 зависит от libhighgui2.1, однако:
   Пакет libhighgui2.1 не установлен.
  panda3d1.8 зависит от libjpeg62 (>= 6b1), однако:
   Пакет libjpeg62 не установлен.
  panda3d1.8 зависит от python-pmw, однако:
   Пакет python-pmw не установлен.
Луше не стало. Вернее стало. Чуть-чуть.
 
ninthДата: Пятница, 18.01.2013, 08:10 | Сообщение # 6
Admin
Группа: Администраторы
Сообщений: 1555
Награды: 5
Репутация: 46
Статус: Offline
попробуй выполнить
Код
sudo apt-get install -f

должно попытаться пофиксить нарушенные зависимости
 
Форум Panda3D - по русски » Panda3D » Для начинающих » Panda3D + Linux Mint 13 (Запуск приложений panda3d)
Страница 1 из 11
Поиск: